Return current key

- « SimpleXMLElement::hasChildren

- SimpleXMLElement::next »

- PHP Manual
- SimpleXMLElement
- Return current key

# SimpleXMLElement::key

(No version information available, might only be in Git)

SimpleXMLElement::key — Return current key

### Description

public SimpleXMLElement::key(): string
Warning

Prior to PHP 8.0, SimpleXMLElement::key() was only declared on the subclass SimpleXMLIterator.

This method gets the XML tag name of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns the XML tag name of the element referenced by the current SimpleXMLElement object.

### Errors/Exceptions

Throws an Error on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | An Error is now thrown if SimpleXMLElement::key() is called on an invalid iterator. Previously, `false` was returned.

### Examples

Example #1 Get the current XML tag key

    <?php$xmlElement = new SimpleXMLElement('<books><book>PHP basics</book><book>XML basics</book></books>');echo var_dump($xmlElement->key());$xmlElement->rewind(); // rewind to the first elementecho var_dump($xmlElement->key());?>

The above example will output:

    bool(false)
    string(4) "book"